librime: rime::UserDictManager Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Attributes | List of all members
rime::UserDictManager Class Reference

`#include <user_dict_manager.h>`

Collaboration diagram for rime::UserDictManager:
[legend]

## Public Member Functions
| UserDictManager (Deployer *deployer)
void | GetUserDictList (UserDictList *user_dict_list, UserDb::Component *component=nullptr)
bool | Backup (const string &dict_name)
bool | Restore (const path &snapshot_file)
bool | UpgradeUserDict (const string &dict_name)
int | Export (const string &dict_name, const path &text_file)
int | Import (const string &dict_name, const path &text_file)
bool | Synchronize (const string &dict_name)
bool | SynchronizeAll ()

## Protected Attributes
Deployer * | deployer_
path | path_
UserDb::Component * | user_db_component_

## Constructor & Destructor Documentation

## ◆ UserDictManager()

rime::UserDictManager::UserDictManager | ( | Deployer * | deployer | ) |

## Member Function Documentation

## ◆ Backup()

bool rime::UserDictManager::Backup | ( | const string & | dict_name | ) |

## ◆ Export()

int rime::UserDictManager::Export | ( | const string & | dict_name,
|  | const path & | text_file )

## ◆ GetUserDictList()

void rime::UserDictManager::GetUserDictList | ( | UserDictList * | user_dict_list,
|  | UserDb::Component * | component = nullptr )

## ◆ Import()

int rime::UserDictManager::Import | ( | const string & | dict_name,
|  | const path & | text_file )

## ◆ Restore()

bool rime::UserDictManager::Restore | ( | const path & | snapshot_file | ) |

## ◆ Synchronize()

bool rime::UserDictManager::Synchronize | ( | const string & | dict_name | ) |

## ◆ SynchronizeAll()

bool rime::UserDictManager::SynchronizeAll | ( |  | ) |

## ◆ UpgradeUserDict()

bool rime::UserDictManager::UpgradeUserDict | ( | const string & | dict_name | ) |

## Member Data Documentation

## ◆ deployer_

Deployer* rime::UserDictManager::deployer_
| protected

## ◆ path_

path rime::UserDictManager::path_
| protected

## ◆ user_db_component_

UserDb::Component* rime::UserDictManager::user_db_component_
| protected

The documentation for this class was generated from the following files:

- user_dict_manager.h
- user_dict_manager.cc